libzypp 17.37.10

zypp::MirroredOriginSet::Private Struct Reference

## Public Member Functions
| Private ()
| ~Private ()=default
Private * | clone () const

## Public Attributes
std::optional< std::size_t > | _dlIndex
std::vector< MirroredOrigin > | _mirrors

## Detailed Description

Definition at line 265 of file MirroredOrigin.cc.

## Constructor & Destructor Documentation

## ◆ Private()

zypp::MirroredOriginSet::Private::Private | ( |  | ) |
| inline

Definition at line 267 of file MirroredOrigin.cc.

## ◆ ~Private()

zypp::MirroredOriginSet::Private::~Private | ( |  | ) |
| default

## Member Function Documentation

## ◆ clone()

Private * zypp::MirroredOriginSet::Private::clone | ( |  | ) | const
| inline

Definition at line 270 of file MirroredOrigin.cc.

## Member Data Documentation

## ◆ _dlIndex

std::optional<std::size_t> zypp::MirroredOriginSet::Private::_dlIndex

Definition at line 274 of file MirroredOrigin.cc.

## ◆ _mirrors

std::vector<MirroredOrigin> zypp::MirroredOriginSet::Private::_mirrors

Definition at line 275 of file MirroredOrigin.cc.

The documentation for this struct was generated from the following file:

- zypp-core/MirroredOrigin.cc